Bug 1175262 - Import without uploading sources
Summary: Import without uploading sources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Nosek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-17 11:42 UTC by Vít Ondruch
Modified: 2019-06-26 03:21 UTC (History)
5 users (show)

Fixed In Version: fedpkg-1.37-1.fc28 fedpkg-1.37-1.fc29 fedpkg-1.37-1.el6 fedpkg-1.37-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 00:49:48 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2014-12-17 11:42:02 UTC
Description of problem:
Could you please allow to use "fedpkg import" without uploading the sources into look-aside cache? May be something like "--offline" parameter.

I am using the import feature quite often, since it add/removes patches according to their changes into git index, as well as adds smaller source files into git, but since I work with snapshot packages, I don't want to upload them into look-aside cache.


Version-Release number of selected component (if applicable):
$ rpm -q fedpkg
fedpkg-1.19-1.fc21.noarch


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:
"fedpkg import" always upload new source packages into look-aside cache.


Expected results:
"fedpkg import --offline" do the same as always, except uploading files into look-aside cache


Additional info:

Comment 1 Fedora End Of Life 2015-11-04 14:39:13 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ondřej Nosek 2019-04-02 07:42:06 UTC
Will be fixed in rpkg-1.58

Comment 3 Vít Ondruch 2019-05-03 10:52:43 UTC
Rawhide please :)

BTW it would be nice if this ticket was linked in Bodhi.

Comment 4 Fedora Update System 2019-05-04 10:33:16 UTC
fedpkg-1.37-1.fc28 rpkg-1.58-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4359dc92a

Comment 5 Fedora Update System 2019-05-04 10:36:06 UTC
fedpkg-1.37-1.fc29 rpkg-1.58-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5d0735782

Comment 6 Fedora Update System 2019-05-04 10:37:40 UTC
fedpkg-1.37-1.el7 rpkg-1.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef52f1c4c0

Comment 7 Fedora Update System 2019-05-04 10:37:50 UTC
fedpkg-1.37-1.el6 rpkg-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-309ad8482c

Comment 8 Ondřej Nosek 2019-05-04 10:56:49 UTC
@vondruch:
Thanks for the notification, rawhide builds are created. I have also modified Bodhi updates (except the f30, that is already in stable) with #rhbz.

Comment 9 Fedora Update System 2019-05-10 13:54:56 UTC
fedpkg-1.37-1.fc28 rpkg-1.58-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4359dc92a

Comment 10 Fedora Update System 2019-05-10 14:06:22 UTC
fedpkg-1.37-1.el6 rpkg-1.58-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-309ad8482c

Comment 11 Fedora Update System 2019-05-10 14:08:12 UTC
fedpkg-1.37-1.el7 rpkg-1.58-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef52f1c4c0

Comment 12 Fedora Update System 2019-05-10 14:10:11 UTC
fedpkg-1.37-1.fc29 rpkg-1.58-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5d0735782

Comment 13 Fedora Update System 2019-05-11 02:39:58 UTC
fedpkg-1.37-1.el6, rpkg-1.58-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-309ad8482c

Comment 14 Fedora Update System 2019-05-11 03:11:59 UTC
fedpkg-1.37-1.el7, rpkg-1.58-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef52f1c4c0

Comment 15 Fedora Update System 2019-05-11 04:23:58 UTC
fedpkg-1.37-1.fc29, rpkg-1.58-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5d0735782

Comment 16 Fedora Update System 2019-05-11 23:07:10 UTC
fedpkg-1.37-1.fc28, rpkg-1.58-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4359dc92a

Comment 17 Vít Ondruch 2019-05-13 12:54:16 UTC
This does not work as far as I can tell:

~~~
$ fedpkg import rubygem-redis-4.1.1-1.fc31.src.rpm --offline
--------------------------------------------
New content staged and new sources uploaded.
Commit if happy or revert with: git reset --hard HEAD
~~~

vs

~~~
$ fedpkg import rubygem-redis-4.1.1-1.fc31.src.rpm 
Uploading: /home/vondruch/fedora-scm/others/rubygem-redis/redis-4.1.1.gem
######################################################################## 100.0%
Uploading: /home/vondruch/fedora-scm/others/rubygem-redis/redis-rb-4.1.1-tests.tar.gz
######################################################################## 100.0%
diff --git a/.gitignore b/.gitignore
index 90e86f5..0d9607f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,2 @@
 /redis-*.gem
+/redis-rb-4.1.1-tests.tar.gz
diff --git a/sources b/sources
index bebdfb8..d9cec68 100644
--- a/sources
+++ b/sources
@@ -1 +1,2 @@
-SHA512 (redis-4.0.1.gem) = ac5ebda9be2d707869f08d6a6e943753587f923113f75fc53844987629f49281317908a324c9c13de23716900083b1aa065c086a008ed7f40aff18a43b170ce9
+SHA512 (redis-4.1.1.gem) = 85d979f46172a74d09958972b98cd00912f9330a4a9058ea326c9120f821d796aeff6263c02b2757a77750846cbc37171053126353ada58ba79d873a254adc00
+SHA512 (redis-rb-4.1.1-tests.tar.gz) = 2060f544f991f406fef2fdb8c03f1258aff4ce2edf656a9957cb079fef65839f4bff06e5399af1082678df9895b998b28ad658e9e4dc136bee2426c845c6be83
--------------------------------------------
New content staged and new sources uploaded.
Commit if happy or revert with: git reset --hard HEAD
~~~

When I originally said: "do the same as always, except uploading files into look-aside cache", I meant that the "--offline" version will modify the "sources" and ".gitignore", adds and removes patches. But this is not the case unfortunately testing with:

~~~
$ rpm -q fedpkg
fedpkg-1.37-1.fc31.noarch
$ rpm -q python3-rpkg
python3-rpkg-1.58-2.fc31.noarch
~~~

IOW the first and the second version should be the same except the:

~~~
Uploading: /home/vondruch/fedora-scm/others/rubygem-redis/redis-4.1.1.gem
######################################################################## 100.0%
Uploading: /home/vondruch/fedora-scm/others/rubygem-redis/redis-rb-4.1.1-tests.tar.gz
######################################################################## 100.0%
~~~

May be it could even said something like:

~~~
Uploading: /home/vondruch/fedora-scm/others/rubygem-redis/redis-4.1.1.gem
*Upload disabled*
~~~

or

~~~
(Disabled) Uploading: /home/vondruch/fedora-scm/others/rubygem-redis/redis-rb-4.1.1-tests.tar.gz
~~~

or something along the lines.

Comment 18 Pavol Babinčák 2019-05-13 13:53:45 UTC
Ah. I should've reopened this one but I have filed it for rpkg instead https://pagure.io/rpkg/issue/445 :/

Comment 19 Ondřej Nosek 2019-05-24 14:00:31 UTC
@vondruch:
I believe, that in the previous fix I forgot correct wording. Is next fix OK for you?

https://pagure.io/rpkg/pull-request/448

I could provide a scratch build for rawhide.

Comment 20 Ondřej Nosek 2019-05-24 16:48:18 UTC
@vondruch:

OK, I tested it and the new version processes 'sources' and '.gitignore' files. So this
https://pagure.io/rpkg/pull-request/449
replaces the previous one.

You can try it here (rawhide scratch build):
https://koji.fedoraproject.org/koji/taskinfo?taskID=35033086

Comment 21 Fedora Update System 2019-05-25 01:10:34 UTC
fedpkg-1.37-1.fc28, rpkg-1.58-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-05-25 03:34:45 UTC
fedpkg-1.37-1.fc29, rpkg-1.58-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-05-26 01:05:09 UTC
fedpkg-1.37-1.el6, rpkg-1.58-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-05-26 01:40:23 UTC
fedpkg-1.37-1.el7, rpkg-1.58-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Vít Ondruch 2019-05-27 08:56:09 UTC
(In reply to Ondřej Nosek from comment #20)
> You can try it here (rawhide scratch build):
> https://koji.fedoraproject.org/koji/taskinfo?taskID=35033086

Thx. I tried the scratch build:

~~~
$ rpm -q python3-rpkg
python3-rpkg-1.59-1.fc31.noarch
~~~

and it appears to work as expected (although I have not checked the look-aside cache):

~~~
$ fedpkg import rubygem-sqlite3-1.4.1-1.fc31.src.rpm --offline
Uploading: /home/vondruch/fedora-scm/own/rubygem-sqlite3/sqlite3-1.4.1.gem
*Upload disabled*
diff --git a/.gitignore b/.gitignore
index bac1945..9fa2855 100644
--- a/.gitignore
+++ b/.gitignore
@@ -7,3 +7,4 @@
 /sqlite3-1.3.10.gem
 /sqlite3-1.3.11.gem
 /sqlite3-1.3.13.gem
+/sqlite3-1.4.1.gem
diff --git a/sources b/sources
index e977b82..294612e 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (sqlite3-1.3.13.gem) = 5d3eab7c788cc62c497de179919054324e53595294ec3a9df2a10d23151a406ee9a88f1c3ac945777f138e78cec61018c388b023456b873131d678a6788a505f
+SHA512 (sqlite3-1.4.1.gem) = 33f87af2e962459cad07f2f07c9d6dffb59551c4e5371e47446f10f5314a05da495598ef5f90f896f876f9a59bd2e90b5bb3fdfb6efb95966ff51bb578f81a80
--------------------------------------------
New content staged without uloading sources.
Commit and upload (fedpkg upload <source>) if happy or revert with: git reset --hard HEAD
~~~

Comment 26 Fedora Update System 2019-05-27 12:46:31 UTC
rpkg-1.58-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e13d721778

Comment 27 Fedora Update System 2019-05-27 12:47:51 UTC
rpkg-1.58-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0594526d5d

Comment 28 Fedora Update System 2019-05-27 12:50:34 UTC
rpkg-1.58-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bbe67ea3f

Comment 29 Fedora Update System 2019-05-27 12:51:27 UTC
rpkg-1.58-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0564d0ad8a

Comment 30 Fedora Update System 2019-05-27 12:52:19 UTC
rpkg-1.58-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e9b35985d1

Comment 31 Fedora Update System 2019-05-28 02:03:41 UTC
rpkg-1.58-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e9b35985d1

Comment 32 Fedora Update System 2019-05-28 02:27:58 UTC
rpkg-1.58-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bbe67ea3f

Comment 33 Fedora Update System 2019-05-28 02:48:55 UTC
rpkg-1.58-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0564d0ad8a

Comment 34 Fedora Update System 2019-05-28 02:50:25 UTC
rpkg-1.58-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e13d721778

Comment 35 Fedora Update System 2019-05-28 03:50:06 UTC
rpkg-1.58-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0594526d5d

Comment 36 Fedora Update System 2019-05-29 00:49:48 UTC
rpkg-1.58-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2019-06-05 02:01:32 UTC
rpkg-1.58-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2019-06-10 14:44:33 UTC
FEDORA-EPEL-2019-24757585e5 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-24757585e5

Comment 39 Fedora Update System 2019-06-10 14:45:18 UTC
FEDORA-EPEL-2019-2bae404ac0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2bae404ac0

Comment 40 Fedora Update System 2019-06-11 02:52:16 UTC
rpkg-1.58-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-24757585e5

Comment 41 Fedora Update System 2019-06-11 02:52:24 UTC
rpkg-1.58-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2bae404ac0

Comment 42 Fedora Update System 2019-06-26 02:30:53 UTC
rpkg-1.58-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2019-06-26 03:21:48 UTC
rpkg-1.58-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.